Bug 101754 - ant does not build
Summary: ant does not build
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ant
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gary Benson
QA Contact:
URL:
Whiteboard:
Keywords:
: 101757 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-06 15:39 UTC by Michael Redinger
Modified: 2007-11-30 22:06 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2003-08-07 01:22:37 UTC


Attachments (Terms of Use)

Description Michael Redinger 2003-08-06 15:39:52 UTC
The Taroon ant-1.5.2-14.src.rpm package does not build correctly
on Taroon (everything install) because there are failed dependencies:

error: Failed build dependencies:
        gcc-c++-ssa is needed by ant-1.5.2-14
        xerces-j-devel >= 2.2.1-4 is needed by ant-1.5.2-14
        commons-logging-devel >= 1.0.2-8 is needed by ant-1.5.2-14
        jakarta-regexp-devel >= 1.2-8 is needed by ant-1.5.2-14
        xalan-j-devel >= 2.4.1-4 is needed by ant-1.5.2-14
        bcel-devel >= 5.0-6 is needed by ant-1.5.2-14

gcc-c++-ssa: not available
xerces-j-devel: not available, but xerces-j is
commons-logging-devel: not available, but commons-logging is
jakarta-regexp-devel: not available, but jakarta-regexp is
xalan-j-devel: not available, but xalan-j is
bcel-devel: not available, but bcel is

Comment 1 Gary Benson 2003-08-06 15:46:25 UTC
The requirements for the -devel packages were erroneous and have been removed
ready for the next beta.  You can either replace the -devel BuildPrereqs with
dependencies on the main packages, or grab the latest rpms from
http://people.redhat.com/gbenson/naoko/.

gcc-c++-ssa is another matter -- is that not on one of the disks?

Comment 2 Gary Benson 2003-08-06 15:54:34 UTC
*** Bug 101757 has been marked as a duplicate of this bug. ***

Comment 3 Bill Nottingham 2003-08-06 16:18:36 UTC
gcc-c++-ssa was missing, should be fixed in newer builds/pushes.

Comment 4 Gary Benson 2003-08-06 16:54:17 UTC
gcc-c++-ssa will be in the next beta.

Comment 5 Jay Turner 2003-08-07 01:22:37 UTC
Fix confirmed with ant-1.5.2-15.  The dependencies are correct and . . .

[root@jkt3 SRPMS]# cd /mnt/redhat/test/Taroon-re0805.1/i386/i386-as/RedHat/RPMS/
[root@jkt3 RPMS]# ls gcc-c++-ssa*
gcc-c++-ssa-3.5ssa-0.20030801.26.i386.rpm



Note You need to log in before you can comment on or make changes to this bug.